import type { Metadata } from "next";
import { Inter } from "next/font/google";
import "./globals.css";
import NavBar from "@/common/components/NavBar";
import { FavoriteProvider } from "@/common/components/FavoriteContext";

const inter = Inter({ subsets: ["latin"] });

export const metadata: Metadata = {
  title: "Movie Search App",
  description: "Powered by Nextjs and OMDb.",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en" className="h-full">
      <body className={`${inter.className} mb-4 bg-black h-full`}>
        <NavBar />
        <FavoriteProvider>
        {children}
        </FavoriteProvider>
      </body>
    </html>
  );
}
