type OMDbResponse = "True" | "False";

interface IMovieSearch {
  Title: string;
  Year: string;
  imdbID: string;
  Type: string;
  Poster: string | "N/A" ;
}
interface IMovieSearchResponse {
  Search: Array<IMovieSearch>;
  totalResults: string;
  Response: OMDbResponse;
}
interface IMovieDetails extends IMovieSearch{
  Rated: string;
  Released: string;
  Runtime: string;
  Genre: string;
  Director: string;
  Writer: string;
  Actors: string;
  Plot: string;
  Language: string;
  Country: string;
  Awards: string;
  Ratings: [
    {
      Source: string;
      Value: string;
    }
  ];
  Metascore: string;
  imdbRating: string;
  imdbVotes: string;
  DVD: string;
  BoxOffice: string;
  Production: string;
  Website: string;
  Response: OMDbResponse;
}
interface INextPageProps {
  searchParams: object;
}
